=== debian/control ===
Source: ros-noetic-canopen-motor-node
Section: misc
Priority: optional
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libmuparser-dev, ros-noetic-canopen-402, ros-noetic-canopen-chain-node, ros-noetic-canopen-master, ros-noetic-catkin, ros-noetic-controller-manager, ros-noetic-controller-manager-msgs, ros-noetic-filters, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-roscpp, ros-noetic-rosunit, ros-noetic-urdf
Homepage: http://wiki.ros.org/canopen_motor_node
Standards-Version: 3.9.2

Package: ros-noetic-canopen-motor-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmuparser-dev, ros-noetic-canopen-402, ros-noetic-canopen-chain-node, ros-noetic-canopen-master, ros-noetic-controller-manager, ros-noetic-controller-manager-msgs, ros-noetic-filters, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-roscpp, ros-noetic-urdf
Description: canopen_chain_node specialization for handling of canopen_402 motor devices.
 It facilitates interface abstraction with ros_control.
